VERSION 5.00
Begin VB.Form frmSearch 
   Caption         =   "Search For Files"
   ClientHeight    =   2220
   ClientLeft      =   1770
   ClientTop       =   2400
   ClientWidth     =   7380
   LinkTopic       =   "Form1"
   ScaleHeight     =   2220
   ScaleWidth      =   7380
   Begin VB.CommandButton cmdExit 
      Cancel          =   -1  'True
      Caption         =   "&Exit"
      Height          =   390
      Left            =   5685
      TabIndex        =   5
      Top             =   810
      Width           =   1215
   End
   Begin VB.CommandButton cmdSearch 
      Caption         =   "Search"
      Default         =   -1  'True
      Height          =   390
      Left            =   5685
      TabIndex        =   3
      Top             =   330
      Width           =   1215
   End
   Begin VB.TextBox txtSearchFor 
      Height          =   345
      Left            =   675
      TabIndex        =   2
      Top             =   1290
      Width           =   3990
   End
   Begin VB.ComboBox cboDrives 
      Height          =   315
      Left            =   675
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   465
      Width           =   2820
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "File(s) to find (wild cards OK)"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   675
      TabIndex        =   4
      Top             =   1020
      Width           =   2475
   End
   Begin VB.Label lblSearch 
      AutoSize        =   -1  'True
      Caption         =   "Search On"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   675
      TabIndex        =   1
      Top             =   165
      Width           =   915
   End
End
Attribute VB_Name = "frmSearch"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetDriveType Lib "kernel32" _
   Alias "GetDriveTypeA" (ByVal nDrive As String) As Long

Private sDrives() As String






Private Sub cmdExit_Click()
Unload Me
End Sub

Private Sub cmdSearch_Click()
Dim ictr As Integer

If InStr(cboDrives.Text, "All Hard Drives") > 0 Then
    For ictr = 0 To UBound(sDrives)
        frmMain.GetFiles sDrives(ictr), True, txtSearchFor.Text
    Next
Else
    frmMain.GetFiles cboDrives.Text, True, txtSearchFor.Text
End If
    
    frmMain.Visible = True
    
        
        
End Sub

Private Sub Form_Load()
    FormCenter Me
    Dim ictr As Integer
    Dim iDriveCount As Integer
    Dim sAllDrives As String
    Dim sDrive As String
    ReDim sDrives(0) As String
    
    For ictr = 66 To 90
        sDrive = Chr(ictr) & ":\"
        If DriveType(sDrive) = "Fixed Drive" Then
            If sDrives(0) = "" Then
                sDrives(0) = sDrive
            Else
                ReDim Preserve sDrives(UBound(sDrives) + 1) As String
                sDrives(UBound(sDrives)) = sDrive
            End If
            
            cboDrives.AddItem sDrive
            If sAllDrives <> "" Then sAllDrives = sAllDrives & ", "
            sAllDrives = sAllDrives & sDrive
            iDriveCount = iDriveCount + 1
        End If
    Next
    
    If iDriveCount > 1 Then
        sAllDrives = "All Hard Drives (" & sAllDrives & ")"
        cboDrives.AddItem sAllDrives
    End If
        
    cboDrives.ListIndex = 0
    EnableSearch
    
    
End Sub


Private Function DriveType(Drive As String) As String

Dim sAns As String, lAns As Long

'fix bad parameter values
If Len(Drive) = 1 Then Drive = Drive & ":\"
If Len(Drive) = 2 And Right$(Drive, 1) = ":" _
    Then Drive = Drive & "\"

lAns = GetDriveType(Drive)
Select Case lAns
 Case 2
   sAns = "Removable Drive"
 Case 3
   sAns = "Fixed Drive"
 Case 4
    sAns = "Remote Drive"
 Case 5
    sAns = "CD-ROM"
 Case 6
    sAns = "RAM Disk"
 Case Else
    sAns = "Drive Doesn't Exist"
End Select

DriveType = sAns

End Function

Private Sub EnableSearch()
cmdSearch.Enabled = Trim(txtSearchFor.Text) <> ""
End Sub

Private Sub txtSearchFor_Change()
EnableSearch
End Sub
